List IDP Group Users
curl --request GET \
--url https://api.devin.ai/v3/enterprise/members/idp-users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/members/idp-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/members/idp-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"email": "<string>",
"idp_role_assignments": [
{
"idp_group_name": "<string>",
"role": {
"role_id": "<string>",
"role_name": "<string>",
"role_type": "enterprise"
},
"org_id": "<string>"
}
],
"name": "<string>",
"user_id": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Users & Membership (Enterprise)
List IDP Group Users
List users whose enterprise membership is derived from IDP group assignments.
GET
/
v3
/
enterprise
/
members
/
idp-users
List IDP Group Users
This endpoint lists users whose enterprise membership is derived from IDP group assignments. It returns only users who have roles inherited through IDP group membership, not users with direct role assignments. If you are looking for users with direct role assignments, use the List users endpoint instead.
Permissions
Requires a service user with theViewAccountMembership permission at the enterprise level.Authorizations
Service User credential (prefix: cog_)
Query Parameters
Required range:
1 <= x <= 200Filter by exact email address
Response
Successful Response
Show child attributes
Show child attributes
Cursor to fetch the next page, or None if this is the last page.
Whether there are more items available after this page.
Optional total count (can be omitted for performance).

